# Power Management and Sleep Modes

## Detailed Description

     #include <avr/sleep.h>

Use of the `SLEEP` instruction can allow your application to reduce it's power comsumption considerably. AVR devices can be put into different sleep modes. Refer to the datasheet for the details relating to the device you are using.

## Sleep Functions

void | set_sleep_mode (uint8_t mode)
void | sleep_mode (void)

## Function Documentation

void set_sleep_mode | ( | uint8_t | mode | ) |

| Select a sleep mode.

void sleep_mode | ( | void |  | ) |

| Put the device in sleep mode. How the device is brought out of sleep mode depends on the specific mode selected with the set_sleep_mode() function. See the data sheet for your device for more details.

Automatically generated by Doxygen 1.4.1 on 21 Oct 2005.